DashO Gradle Plugin Change Log V3.0 Build 0

Categories
DashO Gradle Plugin Change Log

Published on December 22, 2017 by PreEmptive Admin

Reading Time: < 1 minute

Change Log – Version 3.0.0

IMPORTANT NOTE:
The behavior in multi-project builds has changed.
The Android Gradle Plugin no longer protects libraries that are compiled as part of a multi-project build.
To ensure such libraries are protected by DashO, include library (AAR) projects for protection with your final application (APK).

Enhancements:

  • Supports Android Gradle Plugin 3.0.0.
  • Uses the java from the Gradle environment to run DashO.

Changes:

  • Minimum required Android Gradle Plugin version is 3.0.0.
  • Minimum required Gradle version is 4.1.

Fixes:

  • Fixed a java.util.zip.ZipException: duplicate entry issue when obfuscating some Android library projects.